org.apache.lucene.benchmark.byTask.feeds

## Interface SpatialDocMaker.ShapeConverter

- Enclosing class:
    SpatialDocMaker

      public static interface SpatialDocMaker.ShapeConverter

  Converts one shape to another. Created by `SpatialDocMaker.makeShapeConverter(org.apache.lucene.spatial.SpatialStrategy, org.apache.lucene.benchmark.byTask.utils.Config, String)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.locationtech.spatial4j.shape.Shape` | `convert(org.locationtech.spatial4j.shape.Shape shape)`

- - ### Method Detail

    - #### convert

          org.locationtech.spatial4j.shape.Shape convert(org.locationtech.spatial4j.shape.Shape shape)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.